​

Create new card

POST
https://example.kaiten.ru/api/latest/cards

Creates a new Card. To create a card at the beginning of the cell send position: 1 and position: 2 to place the card in the end.

Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
title
required
number | string

Title

board_id
required
integer

Board ID

asap
boolean
default:false

ASAP marker

due_date
string

Deadline. ISO 8601 format

null

Empty due date

due_date_time_present
boolean

Flag indicating that deadline is specified up to hours and minutes

sort_order
number
exclusiveMinimum: 0

Position in the cell (board_id, column_id, lane_id)

description
number | string

Description for card

null

Empty card description

expires_later
boolean

Fixed deadline or not. Date dependant flag in terms of Kanban

size_text
number | string

Size. Example of acceptable values: '1', '23.45', '.5', 'S', '3 M', 'L', 'XL', etc...

null

Empty size text

column_id
integer

Column ID

lane_id
integer

Lane ID

owner_id
integer

Owner ID

responsible_id
integer

Responsible ID

owner_email
string

Owner email address. Only works if email belongs to company user

position
enum
[1,2]

1 - first in cell, 2 – last in cell. Overrides sort_order if present

type_id
integer

Card type ID

external_id
number | string | null
Any external id you want to assign to card. Not exposed in web interface
text_format_type_id
enum
[1,2,3]

1 - markdown (default), 2 – html, 3 - jira wiki format

properties
object

To set custom properties when creating a card. format: 'id_{custom_property_id}: value'. value can be a null, number, string, array or object

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
archived

boolean

Card archived flag
id

integer

Card id
title

string

Card title
description

null | string

Card description
asap

boolean

Card asap flag
due_date

null | string

Card deadline
sort_order

number

Position
fifo_order

integer

Number of card in the cell when fifo rule applied to cards column
state

enum

1-queued, 2-inProgresss, 3-done
condition

enum

1 - live, 2 - archived
expires_later

boolean

Fixed deadline or not. Date dependant flag in terms of Kanban
parents_count

integer

Card parents count
children_count

integer

Card children count
children_done

integer

Card children done count
goals_total

integer

Card goals count
goals_done

integer

Number of card done goals
time_spent_sum

integer

Amount of time spent(in minutes)
time_blocked_sum

integer

Amount of blocked time(in minutes)
children_number_properties_sum

null | object

Schema
Sum according to numerical data of child cards
calculated_planned_start

null | string

Calculated planned start
calculated_planned_end

null | string

Calculated planned end
parent_checklist_ids

null | array

Array of card parent checklist ids
blocking_card

boolean

Is card blocking another card
blocked

boolean

Is card blocked
size

null | number

Numerical part of size
size_unit

null | string

Text part of size
size_text

null | string

Size. Example of acceptable values: '1', '23.45', '.5', 'S', '3 M', 'L', 'XL', etc...
due_date_time_present

boolean

Flag indicating that deadline is specified up to hours and minutes
board_id

integer

Board id
column_id

integer

Column id
lane_id

integer

Lane id
owner_id

integer

Card owner id
type_id

integer

Card type id
version

integer

Card version
updater_id

integer

User id who last updated card
completed_on_time

null | boolean

Flag indicating that card completed on time when due date present
completed_at

null | string

Date when card moved to done type column
last_moved_at

null | string

Date when card last moved
lane_changed_at

null | string

Date when card changed lane
column_changed_at

null | string

Date when card changed column
first_moved_to_in_progress_at

null | string

Date when card first moved to inProgress type column
last_moved_to_done_at

null | string

Date when card last moved to done type column
sprint_id

integer

Sprint id
external_id

null | string

External id
service_id

integer

Service id
comments_total

integer

Total card comments
comment_last_added_at

null | string

Date when last comment added
properties

null | object

Schema
Card custom properties. Format: id_{propertyId}:value
planned_start

null | string

Card timeline planned start
planned_end

null | string

Card timeline planned end
counters_recalculated_at

string

Date of recalculating counters
sd_new_comment

boolean

Has unseen service desk request author comments
public

boolean

Is card public
share_settings

null | object

Schema
Public share settings
share_id

null | string

Public share id
external_user_emails

null | string

External users emails
description_filled

boolean

Flag indicating that card has description
estimate_workload

number

Estimate_workload
owner

object

Schema
Card owner info
type

object

Schema
Card type info
external_links

array

Schema
Card external links
files

array

Schema
Card files
checklists

array

Schema
Card checklists
source

enum | null

app, api, email, telegram, slack, webhook, import, schedule, automation
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

Examples

How to add custom property to card type:

String
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_1": "test"
  }
}

Properties format: 'id_{custom_property_id}: value'

Url
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_2": "https://www.google.com/"
  }
}

Properties format: 'id_{custom_property_id}: value'

Number
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_3": 12
  }
}

Properties format: 'id_{custom_property_id}: value'

Email
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_4": "email@gmail.com"
  }
}

Properties format: 'id_{custom_property_id}: value'

Phone
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_5": "+7 (785) 421-47-89"
  }
}

Format: 'id_{custom_property_id}: value'

Select
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_6": [
      12
    ]
  }
}

Properties format: 'id_{custom_property_id}: value'. Value array must contain select option id

Multi select
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_6": [
      12,
      13
    ]
  }
}

Properties format: 'id_{custom_property_id}: value'. Value array must contain select option ids

Date
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_6": {
      "date": "2022-09-30",
      "time": "19:00:36",
      "tzOffset": 180
    }
  }
}
Catalog
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_7": "3"
  }
}

Properties format: 'id_{custom_property_id}: value'. Value must contain catalog value id

Collective value
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_8": "my_score"
  }
}

Properties format: 'id_{custom_property_id}: value'. Value must be text or a number, depending on the type collective value

Rating
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_9": 1
  }
}

Properties format: 'id_{custom_property_id}: value'

Emoji set
{
  "board_id": 4,
  "title": "card title",
  "properties": {
    "id_10": [
      {
        "emoji": "🙂",
        "count": 1
      }
    ]
  }
}

Properties format: 'id_{custom_property_id}: value'

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/cards' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!